W3CDOMStreamReader (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.staxutils

## Class W3CDOMStreamReader

- java.lang.Object
- - org.apache.cxf.staxutils.AbstractDOMStreamReader<Node,​Node>
  - - org.apache.cxf.staxutils.W3CDOMStreamReader

- All Implemented Interfaces:
    `XMLStreamConstants`, `XMLStreamReader`

      public class W3CDOMStreamReader
      extends AbstractDOMStreamReader<Node,​Node>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cxf.staxutils.AbstractDOMStreamReader

      `AbstractDOMStreamReader.ElementFrame<T,​I>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.staxutils.AbstractDOMStreamReader

      `currentEvent`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `W3CDOMStreamReader​(Document doc)` |
    `W3CDOMStreamReader​(DocumentFragment docfrag)` |
    `W3CDOMStreamReader​(Element element)` |
    `W3CDOMStreamReader​(Element element, String systemId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAttributeCount()` |
    `String` | `getAttributeLocalName​(int i)` |
    `QName` | `getAttributeName​(int i)` |
    `String` | `getAttributeNamespace​(int i)` |
    `String` | `getAttributePrefix​(int i)` |
    `String` | `getAttributeType​(int i)` |
    `String` | `getAttributeValue​(int i)` |
    `String` | `getAttributeValue​(String ns, String local)` |
    `protected AbstractDOMStreamReader.ElementFrame<Node,​Node>` | `getChildFrame()` |
    `Element` | `getCurrentElement()` |
    `Node` | `getCurrentNode()` |
    `Document` | `getDocument()` | Get the document associated with this stream.
    `String` | `getElementText()` |
    `String` | `getEncoding()` |
    `String` | `getLocalName()` |
    `Location` | `getLocation()` |
    `QName` | `getName()` |
    `NamespaceContext` | `getNamespaceContext()` |
    `int` | `getNamespaceCount()` |
    `String` | `getNamespacePrefix​(int i)` |
    `String` | `getNamespaceURI()` |
    `String` | `getNamespaceURI​(int i)` |
    `String` | `getNamespaceURI​(String prefix)` |
    `String` | `getPIData()` |
    `String` | `getPITarget()` |
    `String` | `getPrefix()` |
    `String` | `getSystemId()` |
    `String` | `getText()` |
    `char[]` | `getTextCharacters()` |
    `int` | `getTextLength()` |
    `int` | `getTextStart()` |
    `protected boolean` | `hasMoreChildren()` |
    `boolean` | `isAttributeSpecified​(int i)` |
    `protected void` | `newFrame​(AbstractDOMStreamReader.ElementFrame<Node,​Node> frame)` | Find name spaces declaration in atrributes and move them to separate collection.
    `protected int` | `nextChild()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.cxf.staxutils.AbstractDOMStreamReader

      `close, consumeFrame, endElement, getCharacterEncodingScheme, getCurrentFrame, getEventType, getProperty, getPublicId, getTextCharacters, getVersion, hasName, hasNext, hasText, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### W3CDOMStreamReader

          public W3CDOMStreamReader​(Element element)

      Parameters:
        `element` -

    - #### W3CDOMStreamReader

          public W3CDOMStreamReader​(Element element,
                                    String systemId)

    - #### W3CDOMStreamReader

          public W3CDOMStreamReader​(Document doc)

    - #### W3CDOMStreamReader

          public W3CDOMStreamReader​(DocumentFragment docfrag)

  - ### Method Detail

    - #### getDocument

          public Document getDocument()

      Get the document associated with this stream.

    - #### getSystemId

          public String getSystemId()

      Overrides:
        `getSystemId` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### newFrame

          protected final void newFrame​(AbstractDOMStreamReader.ElementFrame<Node,​Node> frame)

      Find name spaces declaration in atrributes and move them to separate collection.
      Overrides:
        `newFrame` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### getCurrentNode

          public final Node getCurrentNode()

    - #### getCurrentElement

          public final Element getCurrentElement()

    - #### getChildFrame

          protected AbstractDOMStreamReader.ElementFrame<Node,​Node> getChildFrame()

      Specified by:
        `getChildFrame` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### hasMoreChildren

          protected boolean hasMoreChildren()

      Specified by:
        `hasMoreChildren` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### nextChild

          protected int nextChild()

      Specified by:
        `nextChild` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### getElementText

          public String getElementText()
                                throws XMLStreamException

      Specified by:
        `getElementText` in interface `XMLStreamReader`
      Specified by:
        `getElementText` in class `AbstractDOMStreamReader<Node,​Node>`
      Throws:
        `XMLStreamException`

    - #### getNamespaceURI

          public String getNamespaceURI​(String prefix)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`
      Specified by:
        `getNamespaceURI` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### getAttributeValue

          public String getAttributeValue​(String ns,
                                          String local)

    - #### getAttributeCount

          public int getAttributeCount()

    - #### getAttributeName

          public QName getAttributeName​(int i)

    - #### getAttributeNamespace

          public String getAttributeNamespace​(int i)

    - #### getAttributeLocalName

          public String getAttributeLocalName​(int i)

    - #### getAttributePrefix

          public String getAttributePrefix​(int i)

    - #### getAttributeType

          public String getAttributeType​(int i)

    - #### getAttributeValue

          public String getAttributeValue​(int i)

    - #### isAttributeSpecified

          public boolean isAttributeSpecified​(int i)

    - #### getNamespaceCount

          public int getNamespaceCount()

    - #### getNamespacePrefix

          public String getNamespacePrefix​(int i)

    - #### getNamespaceURI

          public String getNamespaceURI​(int i)

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

    - #### getText

          public String getText()

    - #### getTextCharacters

          public char[] getTextCharacters()

    - #### getTextStart

          public int getTextStart()

    - #### getTextLength

          public int getTextLength()

    - #### getEncoding

          public String getEncoding()

    - #### getName

          public QName getName()

    - #### getLocalName

          public String getLocalName()

    - #### getNamespaceURI

          public String getNamespaceURI()

    - #### getPrefix

          public String getPrefix()

    - #### getPITarget

          public String getPITarget()

    - #### getPIData

          public String getPIData()

    - #### getLocation

          public Location getLocation()

      Specified by:
        `getLocation` in interface `XMLStreamReader`
      Overrides:
        `getLocation` in class `AbstractDOMStreamReader<Node,​Node>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`